package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 订单类型(报名、续费、小课购买、其他)
 */
public enum OrderTypeEnum implements BaseEnum<String, OrderTypeEnum> {
	APPLY("APPLY", "报名"),
	RENEW("RENEW", "续费"),
	ELSE("ELSE", "其他"),
	SMALL_CLASS_TO_BUY("SMALL_CLASS_TO_BUY", "小课购买");

	private String code;

	private String msg;

	OrderTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
